# YouTube / Channel

Fetch public channel details by username or browse id: description, links, and metadata.

```
GET /api/v1/youtube/channel
```

Auth: `Authorization: Bearer <SOCIFY_KEY>`  
Credits: 2 credits per request

## Parameters

| Name | Required | Description | Example |
|------|----------|-------------|---------|
| `username` | no | Channel handle without @. | `MrBeast` |
| `browse_id` | no | Channel id (UC…). | `UCX6OQ3DkcsbYNE6H8uQQuVA` |

## Example

```bash
curl -s 'https://trysocify.com/api/v1/youtube/channel?username=MrBeast&browse_id=UCX6OQ3DkcsbYNE6H8uQQuVA' \
  -H "Authorization: Bearer $SOCIFY_KEY"
```

## Response fields

| Field | Type | Description |
|-------|------|-------------|
| `metadata.aboutChannelViewModel.description` | string | Channel about text. |
| `metadata.aboutChannelViewModel.canonicalChannelUrl` | string | Canonical channel URL, when present. |
## Sample response

Successful lookups wrap the payload in `{ ok, platform, resource, params, data, meta }`. `data` is shown below.

```json
{
  "ok": true,
  "platform": "youtube",
  "resource": "channel",
  "params": {
    "username": "MrBeast",
    "browse_id": "UCX6OQ3DkcsbYNE6H8uQQuVA"
  },
  "data": {
    "metadata": {
      "aboutChannelViewModel": {
        "canonicalChannelUrl": "https://www.youtube.com/channel/UCX6OQ3DkcsbYNE6H8uQQuVA",
        "description": "Thank you for being here :)",
        "subscriberCountText": "100M subscribers"
      }
    }
  },
  "meta": {
    "credits_charged": 2,
    "latency_ms": 420,
    "platform": "youtube",
    "resource": "channel",
    "path": "/api/v1/youtube/channel"
  }
}
```

## Links

- HTML docs: https://trysocify.com/docs/api/youtube/channel
- SEO page: https://trysocify.com/youtube/channel
- OpenAPI: https://trysocify.com/openapi.json
- Catalog: https://trysocify.com/catalog.json
